DBusMemBlock Struct Reference
D-Bus secret internal implementation details » Memory pool implementation details

DBusMemBlock object represents a single malloc()-returned block that gets chunked up into objects in the memory pool. More...

## Data Fields

DBusMemBlock * | next
| next block in the list, which is already used up; only saved so we can free all the blocks when we free the mem pool.
size_t | used_so_far
| bytes of this block already allocated as elements.
unsigned char | elements []
| the block data, actually allocated to required size

## Detailed Description

DBusMemBlock object represents a single malloc()-returned block that gets chunked up into objects in the memory pool.

Definition at line 80 of file dbus-mempool.c.

## Field Documentation

## elements

unsigned char DBusMemBlock::elements[]

the block data, actually allocated to required size

Definition at line 96 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_dealloc().

## next

DBusMemBlock* DBusMemBlock::next

next block in the list, which is already used up; only saved so we can free all the blocks when we free the mem pool.

Definition at line 82 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), _dbus_mem_pool_dealloc(), and _dbus_mem_pool_free().

## used_so_far

size_t DBusMemBlock::used_so_far

bytes of this block already allocated as elements.

Definition at line 87 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc().

The documentation for this struct was generated from the following file:

- dbus-mempool.c